This is FirstPackage.info, produced by Macaulay2, version 1.25.11

FirstPackage -- an example Macaulay2 package
********************************************

Description
===========

FirstPackage is a basic package to be used as an example.

Caveat
======

Still trying to figure this out.

Author
======

  * Jane Doe (see http://www.math.uiuc.edu/~doe/ ) <doe@math.uiuc.edu>

Version
=======

This documentation describes version 1.1 of FirstPackage, released August 5,
2012.

Citation
========

If you have used this package in your research, please cite it as follows:

+-----------------------------------------------------------------------------+
|@misc{FirstPackageSource,                                                    |
|  title = {{FirstPackage: an example \emph{Macaulay2} package. Version~1.1}},|
|  author = {Jane Doe},                                                       |
|  howpublished = {A \emph{Macaulay2} package available at                    |
|    \url{https://github.com/Macaulay2/M2/tree/stable/M2/Macaulay2/packages}} |
|}                                                                            |
|                                                                             |
+-----------------------------------------------------------------------------+

Exports
=======

  * Functions and commands
      * "firstFunction" -- see firstFunction(ZZ),
        -- a silly first function
  * Methods
      * firstFunction(ZZ) -- a silly first
        function

For the programmer
==================

The object FirstPackage, is a package (Macaulay2Doc),
defined in FirstPackage.m2.

-------------------------------------------------------------------------------

The source of this document is in FirstPackage.m2:53:0.

firstFunction(ZZ) -- a silly first function
*******************************************

  * Function: firstFunction,
  * Usage:
        firstFunction n
  * Inputs:
      * n, an integer (Macaulay2Doc),
  * Outputs:
      * a string (Macaulay2Doc), a silly string, depending on the
        value of n

Description
===========

Here we show an example.

+--------------------+
|i1 : firstFunction 1|
|                    |
|o1 = Hello World!   |
+--------------------+
|i2 : firstFunction 0|
|                    |
|o2 = D'oh!          |
+--------------------+

Ways to use this method:
========================

  * firstFunction(ZZ) -- a silly first function
-------------------------------------------------------------------------------

The source of this document is in FirstPackage.m2:53:0.